osl::eval::ml::KingXBlockedYBase Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | List of all members
osl::eval::ml::KingXBlockedYBase Class Reference

`#include <king8.h>`

Inheritance diagram for osl::eval::ml::KingXBlockedYBase:
[legend]

## Public Types
enum | { DIM = 90 }
typedef CArray< MultiInt, 90 > | table_t

## Public Member Functions
template<int Sign>
void | adjust (int index, int index_y, MultiInt &out)
template<osl::Player P>
int | index (Square king, int diff)

## Static Public Member Functions
static const MultiIntPair | eval (const NumEffectState &state, const table_t &table)
static void | evalWithUpdateBang (const NumEffectState &state, Move laste_move, MultiIntPair &last_values_and_out)
template<osl::Player P>
static int | index (Square king, int diff)

## Static Private Member Functions
template<int Sign>
static void | adjust (int index, int index_y, MultiInt &out)

## Detailed Description

Definition at line 217 of file eval/ml/king8.h.

## Member Typedef Documentation

typedef CArray<MultiInt, 90> osl::eval::ml::KingXBlockedYBase::table_t

Definition at line 221 of file eval/ml/king8.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
DIM |

Definition at line 220 of file eval/ml/king8.h.

## Member Function Documentation

template<int Sign>

static void osl::eval::ml::KingXBlockedYBase::adjust | ( | int | index,
|  | int | index_y,
|  | MultiInt & | out
| ) |  |
| staticprivate

template<int Sign>

void osl::eval::ml::KingXBlockedYBase::adjust | ( | int | index,
|  | int | index_y,
|  | MultiInt & | out
| ) |  |
| inline

Definition at line 813 of file eval/ml/king8.cc.

References osl::eval::ml::KingXBlocked::table, and osl::eval::ml::KingXBlockedY::table.

const MultiIntPair osl::eval::ml::KingXBlockedYBase::eval | ( | const NumEffectState & | state,
|  | const table_t & | table
| ) |  |
| static

Definition at line 743 of file eval/ml/king8.cc.

References osl::BLACK, osl::state::SimpleState::kingSquare(), osl::playerToIndex(), and osl::WHITE.

Referenced by osl::eval::ml::KingXBlockedY::eval().

void osl::eval::ml::KingXBlockedYBase::evalWithUpdateBang | ( | const NumEffectState & | state,
|  | Move | laste_move,
|  | MultiIntPair & | last_values_and_out
| ) |  |
| inlinestatic

Definition at line 824 of file eval/ml/king8.cc.

References adjust(), osl::eval::ml::KingXBothBlocked::adjust(), osl::BLACK, osl::container::Board_Mask_Table3x3, osl::Move::from(), osl::eval::ml::KingXBothBlocked::index(), osl::container::BoardMaskTable3x3::mask(), osl::Move::to(), and osl::WHITE.

Referenced by osl::eval::ml::KingXBlockedBoth::evalWithUpdateBang().

template<osl::Player P>

static int osl::eval::ml::KingXBlockedYBase::index | ( | Square | king,
|  | int | diff
| ) |  |
| static

template<osl::Player P>

int osl::eval::ml::KingXBlockedYBase::index | ( | Square | king,
|  | int | diff
| ) |  |
| inline

Definition at line 879 of file eval/ml/king8.cc.

References osl::BLACK, osl::Square::x(), and osl::Square::y().

The documentation for this class was generated from the following files:

- eval/ml/king8.h
- eval/ml/king8.cc